import adafruit_ulp_sleep_pin_wait
import adafruit_ulp_blink
import time
import memorymap
import struct
import espulp
import alarm
import board
import digitalio
import espulp

print(alarm.wake_alarm)

u = espulp.ULP()
u.halt()

button = board.BUTTON_MENU

d = digitalio.DigitalInOut(button)
d.pull = digitalio.Pull.UP

print("waiting for button press")
while d.value:
    pass
print("down")
while not d.value:
    pass
print("pressed")
d.deinit()

b = adafruit_ulp_sleep_pin_wait.SleepPinWait(button_pin=button)
# b = adafruit_ulp_blink.Blink(led_pin=board.LED_YELLOW)

a = espulp.ULPAlarm()
print("light sleep")
alarm.light_sleep_until_alarms(a)
print(alarm.wake_alarm)
print("light sleep 2")
alarm.light_sleep_until_alarms(a)
print(alarm.wake_alarm)
time.sleep(0.1)
print("deep sleep")
# t = alarm.time.TimeAlarm(monotonic_time=time.monotonic() + 10)
alarm.exit_and_deep_sleep_until_alarms(a)
